Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBatchAnnotations.TaskQueryAnno

    @Target(value={TYPE,METHOD})
    @Retention(value=RUNTIME)
    public static @interface TaskBatchAnnotations.TaskQueryAnno

Optional Element Summary
`String` | `adminStates` The admin states of the tasks to select.
`String` | `assignedGroups` The assigned groups
`String` | `assignedUsers` The assigned users (assigned directly or through a group)
`String` | `claimants` The current claimant for the tasks to select
`String` | `comment` The comment of the tasks to select.
`String` | `completionDueDateAfter` Select tasks for which the completed due date is after this date
`String` | `completionDueDateBefore` Select tasks for which the completed due date is before this date.
`String` | `creationDateAfter` Select tasks that were created after this date
`String` | `creationDateBefore` Select tasks that were created before this date
`String` | `currentStepNames` The current step names (comma-separated list of step names)
`boolean` | `includeTasksFromOtherHostApps` Select tasks from others applications too.
`String` | `maxPriority` The maximum priority of tasks to select.
`String` | `maxTasksReturned` The maximum number of tasks to return in this batch.
`String` | `minPriority` The minimum priority of tasks to select.
`String` | `owners` The owners for the tasks to select
`TaskBaseAnnotations.PropertyValue` | `propertyValue` Select tasks that have the given property set to the value.
`String` | `queryParamName` Used to pass a Java TaskQuery instance.
`String` | `taskIds` The ids of the tasks to select.
`String` | `taskName` The name of the task to select
`String` | `taskPlanIds` The task plans (comma-separated list of serialized TaskPlanId)
`String` | `workingStates` The working states of the tasks to select.

### taskPlanIds

    public abstract String taskPlanIds

  The task plans (comma-separated list of serialized TaskPlanId)

  Default:
    ""

### currentStepNames

    public abstract String currentStepNames

  The current step names (comma-separated list of step names)

  Default:
    ""

### assignedUsers

    public abstract String assignedUsers

  The assigned users (assigned directly or through a group)

  Default:
    ""

### assignedGroups

    public abstract String assignedGroups

  The assigned groups

  Default:
    ""

### claimants

    public abstract String claimants

  The current claimant for the tasks to select

  Default:
    ""

### taskIds

    public abstract String taskIds

  The ids of the tasks to select.

  Default:
    ""

### taskName

    public abstract String taskName

  The name of the task to select

  Default:
    ""

### comment

    public abstract String comment

  The comment of the tasks to select.

  Default:
    ""

### owners

    public abstract String owners

  The owners for the tasks to select

  Default:
    ""

### minPriority

    public abstract String minPriority

  The minimum priority of tasks to select.

  Default:
    "0"

### maxPriority

    public abstract String maxPriority

  The maximum priority of tasks to select.

  Default:
    "1000"

### adminStates

    public abstract String adminStates

  The admin states of the tasks to select. Must be an array of string names from the AdminState.Type enum or a parameter marker.

  Default:
    ""

### workingStates

    public abstract String workingStates

  The working states of the tasks to select. Must be an array of string names from the WorkingState.Type enum or a parameter marker.

  Default:
    ""

### completionDueDateBefore

    public abstract String completionDueDateBefore

  Select tasks for which the completed due date is before this date.

  Default:
    ""

### completionDueDateAfter

    public abstract String completionDueDateAfter

  Select tasks for which the completed due date is after this date

  Default:
    ""

### creationDateBefore

    public abstract String creationDateBefore

  Select tasks that were created before this date

  Default:
    ""

### creationDateAfter

    public abstract String creationDateAfter

  Select tasks that were created after this date

  Default:
    ""

### propertyValue

    public abstract TaskBaseAnnotations.PropertyValue propertyValue

  Select tasks that have the given property set to the value.

  Default:
    @com.bea.control.TaskBaseAnnotations.PropertyValue(name="")

### queryParamName

    public abstract String queryParamName

  Used to pass a Java TaskQuery instance. This attribute must be specified as the name of a method argument that is of type TaskQuery. If present, this attribute supercedes any other attributes on the TaskQueryAnno annotation (they will be ignored).

  Default:
    ""

### maxTasksReturned

    public abstract String maxTasksReturned

  The maximum number of tasks to return in this batch.

  Default:
    "100"

### includeTasksFromOtherHostApps

    public abstract boolean includeTasksFromOtherHostApps

  Select tasks from others applications too.

  Default:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT